Bug 178842 - firefox crashed
firefox crashed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
FF3RawhideClose
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 13:44 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 11:47:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-01-24 13:44:23 EST
(13:44:57:root@nemesis:~)# gdb /usr/lib64/firefox-1.5/firefox-bin core.4408
GNU gdb Red Hat Linux (6.3.0.0-1.98rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

Core was generated by `/usr/lib64/firefox-1.5/firefox-bin'.
Program terminated with signal 5, Trace/breakpoint trap.
Reading symbols from /usr/lib64/firefox-1.5/libmozjs.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/libmozjs.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libmozjs.so
Reading symbols from /usr/lib64/firefox-1.5/libxpcom.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/libxpcom.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libxpcom.so
Reading symbols from /usr/lib64/firefox-1.5/libxpcom_core.so...Reading symbols
from /usr/lib/debug/usr/lib64/firefox-1.5/libxpcom_core.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libxpcom_core.so
Reading symbols from /usr/lib64/libplds4.so...done.
Loaded symbols for /usr/lib64/libplds4.so
Reading symbols from /usr/lib64/libplc4.so...done.
Loaded symbols for /usr/lib64/libplc4.so
Reading symbols from /usr/lib64/libnspr4.so...done.
Loaded symbols for /usr/lib64/libnspr4.so
Reading symbols from /lib64/libpthread.so.0...done.
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /usr/lib64/libgtk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib64/libgdk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib64/libatk-1.0.so.0...done.
Loaded symbols for /usr/lib64/libatk-1.0.so.0
Reading symbols from /usr/lib64/libgdk_pixbuf-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib64/libpangocairo-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpangocairo-1.0.so.0
Reading symbols from /usr/lib64/libpango-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpango-1.0.so.0
Reading symbols from /usr/lib64/libcairo.so.2...done.
Loaded symbols for /usr/lib64/libcairo.so.2
Reading symbols from /usr/lib64/libgobject-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgobject-2.0.so.0
Reading symbols from /usr/lib64/libgmodule-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgmodule-2.0.so.0
Reading symbols from /usr/lib64/libglib-2.0.so.0...done.
Loaded symbols for /usr/lib64/libglib-2.0.so.0
Reading symbols from /usr/lib64/libX11.so.6...done.
Loaded symbols for /usr/lib64/libX11.so.6
Reading symbols from /lib64/libm.so.6...done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /usr/lib64/libstdc++.so.6...done.
Loaded symbols for /usr/lib64/libstdc++.so.6
Reading symbols from /lib64/libgcc_s.so.1...done.
Loaded symbols for /lib64/libgcc_s.so.1
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/libfontconfig.so.1...done.
Loaded symbols for /usr/lib64/libfontconfig.so.1
Reading symbols from /usr/lib64/libXext.so.6...done.
Loaded symbols for /usr/lib64/libXext.so.6
Reading symbols from /usr/lib64/libXinerama.so.1...done.
Loaded symbols for /usr/lib64/libXinerama.so.1
Reading symbols from /usr/lib64/libXi.so.6...done.
Loaded symbols for /usr/lib64/libXi.so.6
Reading symbols from /usr/lib64/libXrandr.so.2...done.
Loaded symbols for /usr/lib64/libXrandr.so.2
Reading symbols from /usr/lib64/libXcursor.so.1...done.
Loaded symbols for /usr/lib64/libXcursor.so.1
Reading symbols from /usr/lib64/libXfixes.so.3...done.
Loaded symbols for /usr/lib64/libXfixes.so.3
Reading symbols from /usr/lib64/libpangoft2-1.0.so.0...done.
Loaded symbols for /usr/lib64/libpangoft2-1.0.so.0
Reading symbols from /usr/lib64/libfreetype.so.6...done.
Loaded symbols for /usr/lib64/libfreetype.so.6
Reading symbols from /usr/lib64/libz.so.1...done.
Loaded symbols for /usr/lib64/libz.so.1
Reading symbols from /usr/lib64/libXrender.so.1...done.
Loaded symbols for /usr/lib64/libXrender.so.1
Reading symbols from /usr/lib64/libpng12.so.0...done.
Loaded symbols for /usr/lib64/libpng12.so.0
Reading symbols from /usr/lib64/libXau.so.6...done.
Loaded symbols for /usr/lib64/libXau.so.6
Reading symbols from /usr/lib64/libXdmcp.so.6...done.
Loaded symbols for /usr/lib64/libXdmcp.so.6
Reading symbols from /usr/lib64/libexpat.so.0...done.
Loaded symbols for /usr/lib64/libexpat.so.0
Reading symbols from /lib64/libnss_files.so.2...done.
Loaded symbols for /lib64/libnss_files.so.2
Reading symbols from /usr/lib64/gconv/ISO8859-1.so...done.
Loaded symbols for /usr/lib64/gconv/ISO8859-1.so
Reading symbols from /usr/lib64/gconv/UTF-16.so...done.
Loaded symbols for /usr/lib64/gconv/UTF-16.so
Reading symbols from /lib64/libnss_dns.so.2...done.
Loaded symbols for /lib64/libnss_dns.so.2
Reading symbols from /lib64/libresolv.so.2...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from
/usr/lib64/firefox-1.5/components/libbrowserdirprovider.so...Reading symbols
from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libbrowserdirprovider.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libbrowserdirprovider.so
Reading symbols from /usr/lib64/firefox-1.5/components/libchrome.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libchrome.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libchrome.so
Reading symbols from /usr/lib64/firefox-1.5/components/libpref.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libpref.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libpref.so
Reading symbols from /usr/lib64/firefox-1.5/components/libnecko.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libnecko.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libnecko.so
Reading symbols from /usr/lib64/firefox-1.5/components/libi18n.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libi18n.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libi18n.so
Reading symbols from /usr/lib64/firefox-1.5/components/libuconv.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libuconv.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libuconv.so
Reading symbols from /usr/lib64/firefox-1.5/components/libxpconnect.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libxpconnect.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libxpconnect.so
Reading symbols from /usr/lib64/firefox-1.5/components/libjar50.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libjar50.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libjar50.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libwidget_gtk2.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libwidget_gtk2.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libwidget_gtk2.so
Reading symbols from /usr/lib64/firefox-1.5/libgkgfx.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/libgkgfx.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libgkgfx.so
Reading symbols from /usr/lib64/firefox-1.5/libgtkxtbin.so...Reading symbols
from /usr/lib/debug/usr/lib64/firefox-1.5/libgtkxtbin.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libgtkxtbin.so
Reading symbols from /usr/lib64/libXt.so.6...done.
Loaded symbols for /usr/lib64/libXt.so.6
Reading symbols from /usr/lib64/libSM.so.6...done.
Loaded symbols for /usr/lib64/libSM.so.6
Reading symbols from /usr/lib64/libICE.so.6...done.
Loaded symbols for /usr/lib64/libICE.so.6
Reading symbols from /usr/lib64/gtk-2.0/2.4.0/engines/libclearlooks.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/2.4.0/engines/libclearlooks.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libtoolkitcomps.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libtoolkitcomps.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libtoolkitcomps.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libembedcomponents.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libembedcomponents.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libembedcomponents.so
Reading symbols from /usr/lib64/firefox-1.5/components/libcaps.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libcaps.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libcaps.so
Reading symbols from /usr/lib64/firefox-1.5/components/librdf.so...Reading
symbols from /usr/lib/debug/usr/lib64/firefox-1.5/components/librdf.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/librdf.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libsystem-pref.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libsystem-pref.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libsystem-pref.so
Reading symbols from /usr/lib64/firefox-1.5/components/libappcomps.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libappcomps.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libappcomps.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libnsappshell.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libnsappshell.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libnsappshell.so
Reading symbols from /usr/lib64/libgconf-2.so.4...done.
Loaded symbols for /usr/lib64/libgconf-2.so.4
Reading symbols from /usr/lib64/libORBit-2.so.0...done.
Loaded symbols for /usr/lib64/libORBit-2.so.0
Reading symbols from /usr/lib64/libgthread-2.0.so.0...done.
Loaded symbols for /usr/lib64/libgthread-2.0.so.0
Reading symbols from /usr/lib64/libpopt.so.0...done.
Loaded symbols for /usr/lib64/libpopt.so.0
Reading symbols from
/usr/lib64/firefox-1.5/components/libcommandlines.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libcommandlines.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libcommandlines.so
Reading symbols from /usr/lib64/firefox-1.5/components/libgfx_gtk.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libgfx_gtk.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libgfx_gtk.so
Reading symbols from /usr/lib64/libXft.so.2...done.
Loaded symbols for /usr/lib64/libXft.so.2
Reading symbols from /usr/lib64/firefox-1.5/libgfxpsshar.so...Reading symbols
from /usr/lib/debug/usr/lib64/firefox-1.5/libgfxpsshar.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libgfxpsshar.so
Reading symbols from /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so...done.
Loaded symbols for /usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
Reading symbols from /usr/lib64/firefox-1.5/components/libdocshell.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libdocshell.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libdocshell.so
Reading symbols from /usr/lib64/firefox-1.5/components/libimglib2.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libimglib2.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libimglib2.so
Reading symbols from /usr/lib64/libjpeg.so.62...done.
Loaded symbols for /usr/lib64/libjpeg.so.62
Reading symbols from /usr/lib64/libgnome-2.so.0...done.
Loaded symbols for /usr/lib64/libgnome-2.so.0
Reading symbols from /usr/lib64/libgnomevfs-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomevfs-2.so.0
Reading symbols from /usr/lib64/libbonobo-2.so.0...done.
Loaded symbols for /usr/lib64/libbonobo-2.so.0
Reading symbols from /usr/lib64/libbonobo-activation.so.4...done.
Loaded symbols for /usr/lib64/libbonobo-activation.so.4
Reading symbols from /usr/lib64/libesd.so.0...done.
Loaded symbols for /usr/lib64/libesd.so.0
Reading symbols from /usr/lib64/libaudiofile.so.0...done.
Loaded symbols for /usr/lib64/libaudiofile.so.0
Reading symbols from /usr/lib64/libxml2.so.2...done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /lib64/libssl.so.6...done.
Loaded symbols for /lib64/libssl.so.6
Reading symbols from /lib64/libcrypto.so.6...done.
Loaded symbols for /lib64/libcrypto.so.6
Reading symbols from /usr/lib64/libavahi-glib.so.1...done.
Loaded symbols for /usr/lib64/libavahi-glib.so.1
Reading symbols from /usr/lib64/libavahi-common.so.3...done.
Loaded symbols for /usr/lib64/libavahi-common.so.3
Reading symbols from /usr/lib64/libavahi-client.so.3...done.
Loaded symbols for /usr/lib64/libavahi-client.so.3
Reading symbols from /lib64/libutil.so.1...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/librt.so.1...done.
Loaded symbols for /lib64/librt.so.1
Reading symbols from /usr/lib64/libORBitCosNaming-2.so.0...done.
Loaded symbols for /usr/lib64/libORBitCosNaming-2.so.0
Reading symbols from /lib64/libasound.so.2...done.
Loaded symbols for /lib64/libasound.so.2
Reading symbols from /usr/lib64/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/lib64/libgssapi_krb5.so.2
Reading symbols from /usr/lib64/libkrb5.so.3...done.
Loaded symbols for /usr/lib64/libkrb5.so.3
Reading symbols from /lib64/libcom_err.so.2...done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /usr/lib64/libk5crypto.so.3...done.
Loaded symbols for /usr/lib64/libk5crypto.so.3
Reading symbols from /lib64/libdbus-1.so.2...done.
Loaded symbols for /lib64/libdbus-1.so.2
Reading symbols from /usr/lib64/libkrb5support.so.0...done.
Loaded symbols for /usr/lib64/libkrb5support.so.0
Reading symbols from /lib64/libcap.so.1...done.
Loaded symbols for /lib64/libcap.so.1
Reading symbols from /lib64/libnsl.so.1...done.
Loaded symbols for /lib64/libnsl.so.1
Reading symbols from /usr/lib64/firefox-1.5/components/libgklayout.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libgklayout.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libgklayout.so
Reading symbols from /usr/lib64/firefox-1.5/components/libwebbrwsr.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libwebbrwsr.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libwebbrwsr.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libpermissions.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libpermissions.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libpermissions.so
Reading symbols from /usr/lib64/firefox-1.5/components/libcookie.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libcookie.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libcookie.so
Reading symbols from /usr/lib64/firefox-1.5/components/libpipboot.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libpipboot.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libpipboot.so
Reading symbols from /usr/lib64/firefox-1.5/components/liboji.so...Reading
symbols from /usr/lib/debug/usr/lib64/firefox-1.5/components/liboji.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/liboji.so
Reading symbols from /usr/lib64/firefox-1.5/libjsj.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/libjsj.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libjsj.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libremoteservice.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libremoteservice.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libremoteservice.so
Reading symbols from /usr/lib64/firefox-1.5/components/libhtmlpars.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libhtmlpars.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libhtmlpars.so
Reading symbols from /usr/lib64/pango/1.4.0/modules/pango-basic-fc.so...done.
Loaded symbols for /usr/lib64/pango/1.4.0/modules/pango-basic-fc.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libbrowsercomps.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libbrowsercomps.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libbrowsercomps.so
Reading symbols from /usr/lib64/firefox-1.5/libxpcom_compat.so...Reading symbols
from /usr/lib/debug/usr/lib64/firefox-1.5/libxpcom_compat.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/libxpcom_compat.so
Reading symbols from /usr/lib64/firefox-1.5/components/libtxmgr.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libtxmgr.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libtxmgr.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libsearchservice.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libsearchservice.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libsearchservice.so
Reading symbols from /usr/lib64/firefox-1.5/components/libimgicon.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libimgicon.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libimgicon.so
Reading symbols from /usr/lib64/libgnomeui-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomeui-2.so.0
Reading symbols from /usr/lib64/libbonoboui-2.so.0...done.
Loaded symbols for /usr/lib64/libbonoboui-2.so.0
Reading symbols from /usr/lib64/libgnome-keyring.so.0...done.
Loaded symbols for /usr/lib64/libgnome-keyring.so.0
Reading symbols from /usr/lib64/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/lib64/libgnomecanvas-2.so.0
Reading symbols from /usr/lib64/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib64/libart_lgpl_2.so.2
Reading symbols from /usr/lib64/firefox-1.5/components/libpipnss.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libpipnss.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libpipnss.so
Reading symbols from /usr/lib64/libssl3.so...done.
Loaded symbols for /usr/lib64/libssl3.so
Reading symbols from /usr/lib64/libsmime3.so...done.
Loaded symbols for /usr/lib64/libsmime3.so
Reading symbols from /usr/lib64/libnss3.so...done.
Loaded symbols for /usr/lib64/libnss3.so
Reading symbols from /usr/lib64/libsoftokn3.so...done.
Loaded symbols for /usr/lib64/libsoftokn3.so
Reading symbols from /usr/lib64/libfreebl3.so...done.
Loaded symbols for /usr/lib64/libfreebl3.so
Reading symbols from /usr/lib64/libnssckbi.so...done.
Loaded symbols for /usr/lib64/libnssckbi.so
Reading symbols from /usr/lib64/firefox-1.5/components/libeditor.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libeditor.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libeditor.so
Reading symbols from /usr/lib64/firefox-1.5/components/libmozgnome.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libmozgnome.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libmozgnome.so
Reading symbols from /usr/lib64/firefox-1.5/components/libmork.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libmork.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libmork.so
Reading symbols from
/usr/lib64/firefox-1.5/components/libnkgnomevfs.so...Reading symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libnkgnomevfs.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libnkgnomevfs.so
Reading symbols from /usr/lib64/firefox-1.5/components/libnecko2.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libnecko2.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libnecko2.so
Reading symbols from /usr/lib64/firefox-1.5/components/libxmlextras.so...Reading
symbols from
/usr/lib/debug/usr/lib64/firefox-1.5/components/libxmlextras.so.debug...done.
done.
Loaded symbols for /usr/lib64/firefox-1.5/components/libxmlextras.so
#0  0x000000390412c417 in g_logv () from /usr/lib64/libglib-2.0.so.0
(gdb) bt
#0  0x000000390412c417 in g_logv () from /usr/lib64/libglib-2.0.so.0
#1  0x000000390412c68a in g_log () from /usr/lib64/libglib-2.0.so.0
#2  0x000000390412c6f8 in g_assert_warning () from /usr/lib64/libglib-2.0.so.0
#3  0x00002aaaae92b0cf in script_engine_init () from
/usr/lib64/pango/1.4.0/modules/pango-basic-fc.so
#4  0x0000003904f22fe5 in pango_shape () from /usr/lib64/libpango-1.0.so.0
#5  0x0000003904f18556 in pango_layout_set_width () from
/usr/lib64/libpango-1.0.so.0
#6  0x0000003904f1ae4f in pango_layout_iter_get_char_extents () from
/usr/lib64/libpango-1.0.so.0
#7  0x0000003904f1b38b in pango_layout_iter_get_char_extents () from
/usr/lib64/libpango-1.0.so.0
#8  0x0000003904f1d151 in pango_layout_get_line () from /usr/lib64/libpango-1.0.so.0
#9  0x00002aaaac31a0b8 in nsFontMetricsPango::FixupSpaceWidths (this=0x14f1400,
aLayout=Variable "aLayout" is not available.
)
    at nsFontMetricsPango.cpp:1517
#10 0x00002aaaac31ac7a in nsFontMetricsPango::GetWidth (this=0x14f1400,
    aString=0x1e1c8f0 "-notta /
\uffff\203\uffff\uffff\201\uffff\uffff\201\uffff\uffff\201\237", aLength=21,
aWidth=@0x7fffffa9a7c0,
    aContext=Variable "aContext" is not available.
) at nsFontMetricsPango.cpp:468
#11 0x00002aaaac319eb5 in nsFontMetricsPango::GetTextDimensionsInternal
(this=0x14f1400,
    aString=0x1e1c8f0 "-notta /
\uffff\203\uffff\uffff\201\uffff\uffff\201\uffff\uffff\201\237", aLength=21,
aAvailWidth=10800,
    aBreaks=0x1e1bdd0, aNumBreaks=7, aDimensions=@0x7fffffa9abe0,
aNumCharsFit=@0x7fffffa9abf0,
    aLastWordDimensions=@0x7fffffa9abd0, aContext=0x1ab1530) at
nsFontMetricsPango.cpp:1441
#12 0x00002aaaac31a342 in nsFontMetricsPango::GetTextDimensions (this=0x14f1400,
    aString=0x7fffffa9acf4, aLength=13, aAvailWidth=10800,
aBreaks=0x7fffffa9a98c, aNumBreaks=7,
    aDimensions=@0x7fffffa9abe0, aNumCharsFit=@0x7fffffa9abf0,
aLastWordDimensions=@0x7fffffa9abd0,
    aFontID=0x0, aContext=0x1ab1530) at nsFontMetricsPango.cpp:666
#13 0x00002aaaac311f9f in nsRenderingContextGTK::GetTextDimensions
(this=Variable "this" is not available.
)
    at nsRenderingContextGTK.cpp:1305
#14 0x00002aaaad17001a in nsTextFrame::MeasureText (this=0x17b7ba0,
aPresContext=0x1b9ddd0,
    aReflowState=@0x7fffffa9b040, aTx=@0x7fffffa9acb0, aLb=0x1ba4e30,
aTs=@0x7fffffa9af10,
    aTextData=@0x7fffffa9af70) at nsTextFrame.cpp:5475
#15 0x00002aaaad170f9e in nsTextFrame::Reflow (this=0x17b7ba0,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9b150, aReflowState=@0x7fffffa9b040, aStatus=@0x7fffffa9b244)
    at nsTextFrame.cpp:5952
#16 0x00002aaaad15189f in nsLineLayout::ReflowFrame (this=0x7fffffa9b350,
aFrame=0x17b7ba0,
    aReflowStatus=@0x7fffffa9b244, aMetrics=0x0, aPushedFrame=@0x7fffffa9b240)
at nsLineLayout.cpp:995
#17 0x00002aaaad123add in nsBlockFrame::ReflowInlineFrame (this=0x17b7b10,
aState=@0x7fffffa9b6e0,
    aLineLayout=@0x7fffffa9b350, aLine={mCurrent = 0x17b7bf8}, aFrame=0x17b7ba0,
    aLineReflowStatus=0x7fffffa9b2df "") at nsBlockFrame.cpp:4022
#18 0x00002aaaad127f2a in nsBlockFrame::DoReflowInlineFrames (this=0x17b7b10,
aState=@0x7fffffa9b6e0,
    aLineLayout=@0x7fffffa9b350, aLine={mCurrent = 0x17b7bf8},
aKeepReflowGoing=0x7fffffa9b63c,
    aLineReflowStatus=0x7fffffa9b43f "\002\uffff\232\uffff\0059",
aUpdateMaximumWidth=0, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:3861
#19 0x00002aaaad1281ed in nsBlockFrame::ReflowInlineFrames (this=0x17b7b10,
aState=@0x7fffffa9b6e0,
    aLine={mCurrent = 0x17b7bf8}, aKeepReflowGoing=0x7fffffa9b63c,
aDamageDirtyArea=0,
    aUpdateMaximumWidth=0) at nsBlockFrame.cpp:3734
#20 0x00002aaaad128492 in nsBlockFrame::ReflowLine (this=0x17b7b10,
aState=@0x7fffffa9b6e0, aLine=
      {mCurrent = 0x17b7bf8}, aKeepReflowGoing=0x7fffffa9b63c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2728
#21 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17b7b10,
aState=@0x7fffffa9b6e0,
    aTryPull=1) at nsBlockFrame.cpp:2262
#22 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17b7b10,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9bcfc, aReflowState=@0x7fffffa9bb90, aStatus=@0x7fffffa9be44)
    at nsBlockFrame.cpp:902
#23 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9bca0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#24 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x17b7a28,
aState=@0x7fffffa9c0f0, aLine=
      {mCurrent = 0x17b7cd0}, aKeepReflowGoing=0x7fffffa9c04c) at
nsBlockFrame.cpp:3449
#25 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x17b7a28,
aState=@0x7fffffa9c0f0, aLine=
      {mCurrent = 0x17b7cd0}, aKeepReflowGoing=0x7fffffa9c04c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#26 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17b7a28,
aState=@0x7fffffa9c0f0,
    aTryPull=1) at nsBlockFrame.cpp:2262
#27 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17b7a28,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9c70c, aReflowState=@0x7fffffa9c5a0, aStatus=@0x7fffffa9c854)
#28 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9c6b0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#29 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x17b7940,
aState=@0x7fffffa9cb00, aLine=
      {mCurrent = 0x17b7de8}, aKeepReflowGoing=0x7fffffa9ca5c) at
nsBlockFrame.cpp:3449
#30 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x17b7940,
aState=@0x7fffffa9cb00, aLine=
      {mCurrent = 0x17b7de8}, aKeepReflowGoing=0x7fffffa9ca5c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#31 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17b7940,
aState=@0x7fffffa9cb00,
    aTryPull=1) at nsBlockFrame.cpp:2262
#32 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17b7940,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9d11c, aReflowState=@0x7fffffa9cfb0, aStatus=@0x7fffffa9d264)
    at nsBlockFrame.cpp:902
#33 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9d0c0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#34 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x17ba6a0,
aState=@0x7fffffa9d510, aLine=
      {mCurrent = 0x17b5db8}, aKeepReflowGoing=0x7fffffa9d46c) at
nsBlockFrame.cpp:3449
#35 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x17ba6a0,
aState=@0x7fffffa9d510, aLine=
      {mCurrent = 0x17b5db8}, aKeepReflowGoing=0x7fffffa9d46c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#36 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17ba6a0,
aState=@0x7fffffa9d510,
    aTryPull=1) at nsBlockFrame.cpp:2262
#37 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17ba6a0,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9db2c, aReflowState=@0x7fffffa9d9c0, aStatus=@0x7fffffa9dc74)
    at nsBlockFrame.cpp:902
#38 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9dad0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#39 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x17ba158,
aState=@0x7fffffa9df20, aLine=
      {mCurrent = 0x17b5fd0}, aKeepReflowGoing=0x7fffffa9de7c) at
nsBlockFrame.cpp:3449
#40 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x17ba158,
aState=@0x7fffffa9df20, aLine=
      {mCurrent = 0x17b5fd0}, aKeepReflowGoing=0x7fffffa9de7c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#41 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17ba158,
aState=@0x7fffffa9df20,
    aTryPull=1) at nsBlockFrame.cpp:2262
#42 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17ba158,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9e53c, aReflowState=@0x7fffffa9e3d0, aStatus=@0x7fffffa9e684)
    at nsBlockFrame.cpp:902
#43 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9e4e0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#44 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x17c4ce0,
aState=@0x7fffffa9e930, aLine=
      {mCurrent = 0x17a78a8}, aKeepReflowGoing=0x7fffffa9e88c) at
nsBlockFrame.cpp:3449
#45 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x17c4ce0,
aState=@0x7fffffa9e930, aLine=
      {mCurrent = 0x17a78a8}, aKeepReflowGoing=0x7fffffa9e88c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#46 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x17c4ce0,
aState=@0x7fffffa9e930,
    aTryPull=1) at nsBlockFrame.cpp:2262
#47 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x17c4ce0,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9ef4c, aReflowState=@0x7fffffa9ede0, aStatus=@0x7fffffa9f094)
    at nsBlockFrame.cpp:902
#48 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9eef0, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#49 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x1992140,
aState=@0x7fffffa9f340, aLine=
      {mCurrent = 0x1589970}, aKeepReflowGoing=0x7fffffa9f29c) at
nsBlockFrame.cpp:3449
#50 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x1992140,
aState=@0x7fffffa9f340, aLine=
      {mCurrent = 0x1589970}, aKeepReflowGoing=0x7fffffa9f29c, aDamageDirtyArea=0)
    at nsBlockFrame.cpp:2610
#51 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x1992140,
aState=@0x7fffffa9f340,
    aTryPull=1) at nsBlockFrame.cpp:2262
#52 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x1992140,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffa9f95c, aReflowState=@0x7fffffa9f7f0, aStatus=@0x7fffffa9faa4)
    at nsBlockFrame.cpp:902
#53 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa9f900, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#54 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x19997b8,
aState=@0x7fffffa9fd50, aLine=
      {mCurrent = 0x1589d80}, aKeepReflowGoing=0x7fffffa9fcac) at
nsBlockFrame.cpp:3449
#55 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x19997b8,
aState=@0x7fffffa9fd50, aLine=
      {mCurrent = 0x1589d80}, aKeepReflowGoing=0x7fffffa9fcac, aDamageDirtyArea=1)
    at nsBlockFrame.cpp:2610
#56 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x19997b8,
aState=@0x7fffffa9fd50,
    aTryPull=1) at nsBlockFrame.cpp:2262
#57 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x19997b8,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffaa036c, aReflowState=@0x7fffffaa0200, aStatus=@0x7fffffaa04b4)
    at nsBlockFrame.cpp:902
#58 0x00002aaaad12ac14 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffaa0310, aSpace=Variable "aSpace" is not available.
)
    at nsBlockReflowContext.cpp:605
#59 0x00002aaaad126b36 in nsBlockFrame::ReflowBlockFrame (this=0x1999500,
aState=@0x7fffffaa0760, aLine=
      {mCurrent = 0x1999970}, aKeepReflowGoing=0x7fffffaa06bc) at
nsBlockFrame.cpp:3449
#60 0x00002aaaad1282fa in nsBlockFrame::ReflowLine (this=0x1999500,
aState=@0x7fffffaa0760, aLine=
      {mCurrent = 0x1999970}, aKeepReflowGoing=0x7fffffaa06bc, aDamageDirtyArea=1)
    at nsBlockFrame.cpp:2610
#61 0x00002aaaad1289d2 in nsBlockFrame::ReflowDirtyLines (this=0x1999500,
aState=@0x7fffffaa0760,
    aTryPull=1) at nsBlockFrame.cpp:2262
#62 0x00002aaaad1297e8 in nsBlockFrame::Reflow (this=0x1999500,
aPresContext=0x1b9ddd0,
    aMetrics=@0x7fffffaa0bc0, aReflowState=@0x7fffffaa0ab0, aStatus=@0x7fffffaa0e2c)
    at nsBlockFrame.cpp:902
#63 0x00002aaaad130084 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#64 0x00002aaaad143db7 in CanvasFrame::Reflow (this=0x1a19518,
aPresContext=0x1b9ddd0,
    aDesiredSize=@0x7fffffaa0ed0, aReflowState=@0x7fffffaa0ce0,
aStatus=@0x7fffffaa0e2c)
    at nsHTMLFrame.cpp:531
#65 0x00002aaaad130084 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#66 0x00002aaaad140bbf in nsHTMLScrollFrame::ReflowScrolledFrame (this=0x1a196f0,
    aState=@0x7fffffaa0fb0, aAssumeHScroll=Variable "aAssumeHScroll" is not
available.
) at nsGfxScrollFrame.cpp:515
#67 0x00002aaaad140cce in nsHTMLScrollFrame::ReflowContents (this=0x1a196f0,
aState=0x7fffffaa0fb0,
    aDesiredSize=@0x7fffffaa13f0) at nsGfxScrollFrame.cpp:570
#68 0x00002aaaad141961 in nsHTMLScrollFrame::Reflow (this=0x1a196f0,
aPresContext=Variable "aPresContext" is not available.
)
    at nsGfxScrollFrame.cpp:768
#69 0x00002aaaad130084 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#70 0x00002aaaad177c4d in ViewportFrame::Reflow (this=0x1a19488,
aPresContext=0x1b9ddd0,
    aDesiredSize=@0x7fffffaa1640, aReflowState=@0x7fffffaa14d0,
aStatus=@0x7fffffaa15ec)
    at nsViewportFrame.cpp:239
#71 0x00002aaaad114516 in IncrementalReflow::Dispatch (this=0x7fffffaa16a0,
aPresContext=0x1b9ddd0,
    aDesiredSize=@0x7fffffaa1640, aMaxSize=@0x7fffffaa1690, aRendContext=@0x1ab1530)
    at nsPresShell.cpp:906
#72 0x00002aaaad1158b1 in PresShell::ProcessReflowCommands (this=0x1b91070,
aInterruptible=1)
    at nsPresShell.cpp:6866
#73 0x00002aaaad11b68c in ReflowEvent::HandleEvent (this=Variable "this" is not
available.
) at nsPresShell.cpp:6695
#74 0x00002b30070de98f in PL_HandleEvent (self=0x1445670) at plevent.c:688
#75 0x00002b30070deba1 in PL_ProcessPendingEvents (self=0x582130) at plevent.c:623
#76 0x00002b30070dff6b in nsEventQueueImpl::ProcessPendingEvents (this=0x59e7b0)
at nsEventQueue.cpp:417
#77 0x00002aaaab1b7942 in event_processor_callback (source=Variable "source" is
not available.
) at nsAppShell.cpp:67
#78 0x0000003904124c81 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#79 0x0000003904127a9d in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#80 0x0000003904127dee in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#81 0x000000390540be85 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#82 0x00002aaaab1b7c72 in nsAppShell::Run (this=0x66ccb0) at nsAppShell.cpp:139
#83 0x00002aaaab9c4468 in nsAppStartup::Run (this=0x66cc30) at nsAppStartup.cpp:150
#84 0x000000000040b20b in XRE_main (argc=Variable "argc" is not available.
) at nsAppRunner.cpp:2313
#85 0x0000003aaa21cde4 in __libc_start_main () from /lib64/libc.so.6
#86 0x0000000000406b29 in _start ()
#87 0x00007fffffaa22c8 in ?? ()
#88 0x0000000000000000 in ?? ()
(gdb)
Comment 1 Matěj Cepl 2007-06-29 05:24:45 EDT
Reporter, this is really old bug. Could you reproduce it? Do you remember what
did you do when it happened? As this bug stands it looks to me like a hot
candidate for INSUFFICIENT_DATA.
Comment 2 Dave Jones 2007-07-06 20:43:14 EDT
nearly every time I get a firefox crash it's a one off.
if the backtrace is useless, close it.
Comment 3 Matěj Cepl 2007-12-20 11:47:06 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.